pctx0
from pctx0 import Pctx0Client
client = Pctx0Client(
access_key="YOUR_ACCESS_KEY",
workspace_id="YOUR_WORKSPACE_ID",
)
agents = client.agent.list(limit=50, offset=0)
import { Nctx0Client } from "@actx0/nctx0";
const client = new Nctx0Client({
accessKey: "YOUR_ACCESS_KEY",
workspaceId: "YOUR_WORKSPACE_ID",
});
const agents = await client.agent.list({ limit: 50, offset: 0 });
package main
import (
"context"
"github.com/Actx0/Gctx0"
)
func main() {
client := gctx0.NewClient(
gctx0.WithAccessKey("YOUR_ACCESS_KEY"),
gctx0.WithWorkspaceId("YOUR_WORKSPACE_ID"),
)
defer client.Close()
ctx := context.Background()
agents, err := client.Agent.List(ctx, 50, 0)
_ = agents
_ = err
}
curl -X GET 'https://app.actx0.com/api/v1/workspaces/<workspaceId>/agents' \
-H "X-Access-Key: YOUR_ACCESS_KEY" \
-H "Accept: application/json"
# ---
# acli
export ACTX0_ACCESS_KEY="YOUR_ACCESS_KEY"
export ACTX0_WORKSPACE_ID="YOUR_WORKSPACE_ID"
acli agent list --limit 50 --offset 0
{
"agents": [
{
"id": "22222222-2222-2222-2222-222222222222",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"name": "Support bot",
"kind": "unmanaged",
"handle": "support-bot",
"description": "Handles customer support conversations",
"status": "active",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z",
"promptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kbLabels": {}
}
],
"_meta": {
"limit": 50,
"offset": 0,
"total": 12
}
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Agents
List Agents
List agents in a workspace.
GET
/
workspaces
/
{workspaceId}
/
agents
pctx0
from pctx0 import Pctx0Client
client = Pctx0Client(
access_key="YOUR_ACCESS_KEY",
workspace_id="YOUR_WORKSPACE_ID",
)
agents = client.agent.list(limit=50, offset=0)
import { Nctx0Client } from "@actx0/nctx0";
const client = new Nctx0Client({
accessKey: "YOUR_ACCESS_KEY",
workspaceId: "YOUR_WORKSPACE_ID",
});
const agents = await client.agent.list({ limit: 50, offset: 0 });
package main
import (
"context"
"github.com/Actx0/Gctx0"
)
func main() {
client := gctx0.NewClient(
gctx0.WithAccessKey("YOUR_ACCESS_KEY"),
gctx0.WithWorkspaceId("YOUR_WORKSPACE_ID"),
)
defer client.Close()
ctx := context.Background()
agents, err := client.Agent.List(ctx, 50, 0)
_ = agents
_ = err
}
curl -X GET 'https://app.actx0.com/api/v1/workspaces/<workspaceId>/agents' \
-H "X-Access-Key: YOUR_ACCESS_KEY" \
-H "Accept: application/json"
# ---
# acli
export ACTX0_ACCESS_KEY="YOUR_ACCESS_KEY"
export ACTX0_WORKSPACE_ID="YOUR_WORKSPACE_ID"
acli agent list --limit 50 --offset 0
{
"agents": [
{
"id": "22222222-2222-2222-2222-222222222222",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"name": "Support bot",
"kind": "unmanaged",
"handle": "support-bot",
"description": "Handles customer support conversations",
"status": "active",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z",
"promptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kbLabels": {}
}
],
"_meta": {
"limit": 50,
"offset": 0,
"total": 12
}
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Authorizations
AccessKeyAuthApiKeyAuth
Workspace access key for agent/runtime integrations.
Path Parameters
Query Parameters
Page size. Defaults to 50, max 100.
Required range:
1 <= x <= 100Number of items to skip.
Required range:
x >= 0Was this page helpful?
⌘I
